<?
function only_reg($link = NULL) // только для зарегистрированиых
{
global $user;
if (!isset($user))
{
if ($link==NULL)$link=BASEDIR.'index.php?'.SID;
header("Location: $link");exit;
}
}


function only_unreg($link = NULL) // только для незарегистрированых
{
global $user;
if (isset($user))
{
if ($link==NULL)$link=BASEDIR.'index.php?'.SID;
header("Location: $link");exit;
}
}


function only_level($level=0,$link = NULL) // только для тех, у кого уровень доступа больше или равен $level
{
global $user;
if (!isset($user) || $user['level']<$level)
{
if ($link==NULL)$link=BASEDIR.'index.php?'.SID;
header("Location: $link");exit;
}
}
?>
